Subject: bash builtin "echo" default behaviour wrong?
From: [email-masked]

19 Dec 1997 15:25:25 -0800
Message-ID: <[email-masked]>
To: [email-masked]

Hi,

How do I change to default behaviour of the bash builtin "echo" command to 
process the backslash-escape?

bash-2.01$ echo "first \n next"
first \n next
bash-2.01$ echo -e "First \n next"

bash-2.01$ echo -e "first \n next"
first
 next
bash-2.01$

bash --posix does not help.

I know I can use an alias or a function, but why is this different from the
Bourne Shell (/bin/sh) and Korn Shell) (/bin/ksh) and /bin/echo

Thanks

Alberto da Silva
[email-masked]

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".